<template>
  <div>
    line to {{ end }}<br />
    <!--{{ dragEvent }}<br /> -->
    {{ lastDrag }}
    <svg style="position:absolute; top:0">
      <path
        id="lineAB"
        :d="`M 0,0 L ${endX},${endY}`"
        stroke-width="0.8"
        stroke="red"
        fill="none"
      />
    </svg>
  </div>
</template>

<script>
import { onMounted, ref, watch, inject } from "@vue/runtime-core";
export default {
  name: "Line",
  setup(props) {
    const endDiv = ref(null);

    const lastDrag = inject("globalDragEvent");

    let endX = ref(0);
    let endY = ref(0);

    watch(lastDrag, () => {
      // CONTINUE HERE // think: maybe line as sibling to states on the canvas? then i can move them around as i wish...
      endX.value = lastDrag.value.left;
      endY.value = lastDrag.value.top;
    });

    onMounted(() => {
      endDiv.value = document.getElementById(props.end).getBoundingClientRect(); // get end point for line
      console.log(endDiv.value); // get target
      // TODO: listen/watch for drag events of parent node to then draw/redraw svg path to end div
    });

    return {
      endX,
      endY,
      lastDrag,
    };
  },
  props: {
    end: String,
    nodeElement: Object,
    dragEvent: Object,
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
